TypeOid
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class TypeOid

    java.lang.Object
      org.postgresql.pljava.jdbc.TypeOid

    public class TypeOid

extends java.lang.Object

Provides constants for well-known backend OIDs for the types we commonly use.

Field Summary
`static Oid` | `BOOL`
`static Oid` | `BPCHAR`
`static Oid` | `BYTEA`
`static Oid` | `DATE`
`static Oid` | `FLOAT4`
`static Oid` | `FLOAT8`
`static Oid` | `INT2`
`static Oid` | `INT4`
`static Oid` | `INT8`
`static Oid` | `INVALID`
`static Oid` | `NUMERIC`
`static Oid` | `OID`
`static Oid` | `TEXT`
`static Oid` | `TIME`
`static Oid` | `TIMESTAMP`
`static Oid` | `TIMESTAMPTZ`
`static Oid` | `VARCHAR`

Constructor Summary
`TypeOid()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final Oid INVALID

### INT2

    public static final Oid INT2

### INT4

    public static final Oid INT4

### INT8

    public static final Oid INT8

### TEXT

    public static final Oid TEXT

### NUMERIC

    public static final Oid NUMERIC

### FLOAT4

    public static final Oid FLOAT4

### FLOAT8

    public static final Oid FLOAT8

### BOOL

    public static final Oid BOOL

### DATE

    public static final Oid DATE

### TIME

    public static final Oid TIME

### TIMESTAMP

    public static final Oid TIMESTAMP

### TIMESTAMPTZ

    public static final Oid TIMESTAMPTZ

### BYTEA

    public static final Oid BYTEA

### VARCHAR

    public static final Oid VARCHAR

### OID

    public static final Oid OID

### BPCHAR

    public static final Oid BPCHAR

Constructor Detail

### TypeOid

    public TypeOid()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT